# ``twisted`.`persisted`.`sob`.`_EverythingEphemeral``

class documentation

`class _EverythingEphemeral(styles.Ephemeral): (source)`

View In Hierarchy

Undocumented

Method | `__getattr__` | Undocumented
Method | `__init__` |
Class Variable | `initRun` | Undocumented
Instance Variable | `mainMod` | Undocumented

Inherited from `Ephemeral`:

Method | `__getstate__` | Undocumented
Method | `__reduce__` | Serialize any subclass of `Ephemeral` in a way which replaces it with `Ephemeral` itself.
Method | `__setstate__` | Undocumented
Instance Variable | `__class__` | Undocumented

def __getattr__(self, key): (source)

Undocumented

def __init__(self, mainMod): (source)

Parameters
mainMod | The '__main__' module that this class will proxy.

initRun: `int` = (source)

Undocumented

mainMod = (source)

Undocumented